dimnames {base} | R Documentation

## Dimnames of an Object

### Description

Retrieve or set the dimnames of an object.

### Usage

    dimnames(x)
    dimnames(x) <- nlist

### Arguments

`x` | an R object, for example a matrix, array or data frame.
`nlist` | a list of the length `dim(x)` whose components are either null or character vectors the length of the appropriate dimension of `x`.

### Details

The functions `dimnames` and `dimnames<-` are generic.

For an `array` (and hence in particular, for a `matrix`), they retrieve or set the `dimnames` attribute (see attributes) of the object. The list `nlist` can have names, and these will be used to label the dimensions of the array where appropriate.

Both have methods for data frames. The dimnames of a data frame are its `row.names` attribute and its `names`.

### See Also

`rownames`, `colnames`; `array`, `matrix`, `data.frame`.

### Examples

    ## simple versions of rownames and colnames
    ## could be defined as follows
    rownames0 <- function(x) dimnames(x)[[1]]
    colnames0 <- function(x) dimnames(x)[[2]]

[Package Contents]